native_thread_data_struct Struct Reference

`#include <thread_pthread.h>`

## Data Fields

void * | signal_thread_list
rb_thread_cond_t | sleep_cond
HANDLE | interrupt_event

## Detailed Description

Definition at line 28 of file thread_pthread.h.

## Field Documentation

HANDLE native_thread_data_struct::interrupt_event

Definition at line 32 of file thread_win32.h.

void* native_thread_data_struct::signal_thread_list

Definition at line 29 of file thread_pthread.h.

rb_thread_cond_t native_thread_data_struct::sleep_cond

Definition at line 30 of file thread_pthread.h.

The documentation for this struct was generated from the following files:

- thread_pthread.h
- thread_win32.h